OTBCLI_VECTORDATATRANSFORM(1)

NAME
otbcli_VectorDataTransform - OTB VectorDataTransform application

DESCRIPTION
This is the VectorDataTransform application, version 5.2.0 Apply a transform to each vertex of the input VectorData

Complete documentation: http://www.orfeo-toolbox.org/Applications/VectorDataTransform.html

  Parameters:

-progress
    <boolean> Report progress

 -vd <string> Input Vector data (mandatory)
 -out <string> Output Vector data (mandatory)
 -in <string> Support image (mandatory)

-transform.tx
    <float> Translation X (mandatory, default value is 0)

-transform.ty
    <float> Translation Y (mandatory, default value is 0)

-transform.ro
    <float> Rotation Angle (mandatory, default value is 0)

-transform.centerx <float>
    Center X (mandatory, default value is 0)

-transform.centery <float>
    Center Y (mandatory, default value is 0)

-transform.scale
    <float> Scale (mandatory, default value is 1)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_VectorDataTransform -vd qb_RoadExtract_easyClassification.shp -in qb_RoadExtract.tif -out VectorDataTransform.shp -transform.ro 5

SEE ALSO
The full documentation for otbcli_VectorDataTransform is maintained as a Texinfo manual. If the info and otbcli_VectorDataTransform programs are properly installed at your site, the command

    info otbcli_VectorDataTransform

should give you access to the complete manual.